Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class ChargesInformation6

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.ChargesInformation6

    public class ChargesInformation6
    extends java.lang.Object

Java class for ChargesInformation6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChargesInformation6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TtlChrgsAndTaxAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}CreditDebitCode" minOccurs="0"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ChargeType2Choice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PercentageRate" minOccurs="0"/>
             <element name="Br" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ChargeBearerType1Code" minOccurs="0"/>
             <element name="Pty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}BranchAndFinancialInstitutionIdentification4" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}TaxCharges2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected ChargeBearerType1Code` `br`
`protected CreditDebitCode` `cdtDbtInd`
`protected BranchAndFinancialInstitutionIdentification4` `pty`
`protected java.math.BigDecimal` `rate`
`protected TaxCharges2` `tax`
`protected ChargeType2Choice` `tp`
`protected ActiveOrHistoricCurrencyAndAmount` `ttlChrgsAndTaxAmt`

### Constructor Summary

Constructors
`ChargesInformation6()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`ChargeBearerType1Code` `getBr()` Gets the value of the br property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`BranchAndFinancialInstitutionIdentification4` `getPty()` Gets the value of the pty property.
`java.math.BigDecimal` `getRate()` Gets the value of the rate property.
`TaxCharges2` `getTax()` Gets the value of the tax property.
`ChargeType2Choice` `getTp()` Gets the value of the tp property.
`ActiveOrHistoricCurrencyAndAmount` `getTtlChrgsAndTaxAmt()` Gets the value of the ttlChrgsAndTaxAmt property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setBr​(ChargeBearerType1Code value)` Sets the value of the br property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setPty​(BranchAndFinancialInstitutionIdentification4 value)` Sets the value of the pty property.
`void` `setRate​(java.math.BigDecimal value)` Sets the value of the rate property.
`void` `setTax​(TaxCharges2 value)` Sets the value of the tax property.
`void` `setTp​(ChargeType2Choice value)` Sets the value of the tp property.
`void` `setTtlChrgsAndTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the ttlChrgsAndTaxAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ttlChrgsAndTaxAmt

    protected ActiveOrHistoricCurrencyAndAmount ttlChrgsAndTaxAmt

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### tp

    protected ChargeType2Choice tp

#### rate

    protected java.math.BigDecimal rate

#### br

    protected ChargeBearerType1Code br

#### pty

    protected BranchAndFinancialInstitutionIdentification4 pty

#### tax

    protected TaxCharges2 tax

### Constructor Detail

#### ChargesInformation6

    public ChargesInformation6()

### Method Detail

#### getTtlChrgsAndTaxAmt

    public ActiveOrHistoricCurrencyAndAmount getTtlChrgsAndTaxAmt()

Gets the value of the ttlChrgsAndTaxAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setTtlChrgsAndTaxAmt

    public void setTtlChrgsAndTaxAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the ttlChrgsAndTaxAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getTp

    public ChargeType2Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `ChargeType2Choice`

#### setTp

    public void setTp​(ChargeType2Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `ChargeType2Choice`

#### getRate

    public java.math.BigDecimal getRate()

Gets the value of the rate property.

Returns:
  possible object is `BigDecimal`

#### setRate

    public void setRate​(java.math.BigDecimal value)

Sets the value of the rate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getBr

    public ChargeBearerType1Code getBr()

Gets the value of the br property.

Returns:
  possible object is `ChargeBearerType1Code`

#### setBr

    public void setBr​(ChargeBearerType1Code value)

Sets the value of the br property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

#### getPty

    public BranchAndFinancialInstitutionIdentification4 getPty()

Gets the value of the pty property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification4`

#### setPty

    public void setPty​(BranchAndFinancialInstitutionIdentification4 value)

Sets the value of the pty property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification4`

#### getTax

    public TaxCharges2 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxCharges2`

#### setTax

    public void setTax​(TaxCharges2 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxCharges2`